Yes.  This is a requirement.